#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		%(echo %{version} | cut -d '.' -f1-2)
%define		spavers		0.2
#-----------------------------------------------------------------------------
Name		:	pipewire
Version		:	0.3.85
Release		:	17.2.0.rel%{?dist}
Summary		:	Media Sharing Server

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/PipeWire/pipewire/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	dbus-devel
BuildRequires	:	doxygen
BuildRequires	:	fdk-aac
BuildRequires	:	gstreamer
BuildRequires	:	graphviz
BuildRequires	:	jack2-devel
BuildRequires	:	libcanberra
BuildRequires	:	libusb
BuildRequires	:	openal-soft-devel
BuildRequires	:	python3-docutils
BuildRequires	:	SDL2
BuildRequires	:	sbc-devel

Requires	:	%{name}-libs	=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description
PipeWire is a multimedia server for Linux and other
Unix like operating system.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md NEWS
%license LICENSE COPYING
%config(noreplace) %{_sysconfdir}/security/limits.d/*.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-avb
%{_bindir}/%{name}-aes67
%{_bindir}/%{name}-pulse
%{_libdir}/alsa-lib/libasound_module_pcm_%{name}.so
%{_libdir}/alsa-lib/libasound_module_ctl_%{name}.so
%{_libdir}/gstreamer-1.0/libgst%{name}.so
%{_datadir}/%{name}/%{name}.conf
%{_datadir}/%{name}/%{name}.conf.avail/10-rates.conf
%{_datadir}/%{name}/minimal.conf
%{_datadir}/%{name}/filter-chain.conf
%{_datadir}/%{name}/filter-chain/*.conf
%{_datadir}/%{name}/%{name}-avb.conf
%{_datadir}/%{name}/%{name}-aes67.conf
%{_datadir}/%{name}/client.conf
%{_datadir}/%{name}/jack.conf
%{_datadir}/%{name}/%{name}-pulse.conf
%{_datadir}/%{name}/%{name}-pulse.conf.avail/20-upmix.conf
%{_datadir}/%{name}/%{name}.conf.avail/20-upmix.conf
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-pulse.1.gz
%{_mandir}/man5/%{name}.conf.5.gz

#==============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains development files for %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{apivers}/%{name}/*.h
%{_includedir}/%{name}-%{apivers}/%{name}/extensions/*.h
%{_includedir}/%{name}-%{apivers}/%{name}/extensions/session-manager/*.h
%{_includedir}/spa-%{spavers}/spa/buffer/*.h
%{_includedir}/spa-%{spavers}/spa/control/*.h
%{_includedir}/spa-%{spavers}/spa/debug/*.h
%{_includedir}/spa-%{spavers}/spa/graph/*.h
%{_includedir}/spa-%{spavers}/spa/interfaces/audio/*.h
%{_includedir}/spa-%{spavers}/spa/monitor/*.h
%{_includedir}/spa-%{spavers}/spa/node/*.h
%{_includedir}/spa-%{spavers}/spa/param/*.h
%{_includedir}/spa-%{spavers}/spa/param/audio/*.h
%{_includedir}/spa-%{spavers}/spa/param/bluetooth/*.h
%{_includedir}/spa-%{spavers}/spa/param/video/*.h
%{_includedir}/spa-%{spavers}/spa/pod/*.h
%{_includedir}/spa-%{spavers}/spa/support/*.h
%{_includedir}/spa-%{spavers}/spa/utils/*.h
%{_libdir}/lib%{name}-%{apivers}.so
%{_libdir}/%{name}-%{apivers}/jack/libjacknet.so
%{_libdir}/%{name}-%{apivers}/jack/libjackserver.so
%{_libdir}/pkgconfig/lib%{name}-%{apivers}.pc
%{_libdir}/pkgconfig/libspa-0.2.pc

#==============================================================================
%package		libs
Summary		:	libraries for %{name}

#-----------------------------------------------------------------------------
%description		libs
This package contains the shared libraries for %{name}.

#-----------------------------------------------------------------------------
%files			libs	-f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{apivers}.so.0.*
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-access.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-adapter.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-avb.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-client-device.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-client-node.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-combine-stream.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-echo-cancel.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-fallback-sink.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-filter-chain.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-link-factory.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-loopback.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-metadata.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-netjack2-driver.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-netjack2-manager.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-pipe-tunnel.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-portal.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-profiler.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-protocol-native.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-protocol-simple.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-pulse-tunnel.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-raop-discover.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-raop-sink.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-rtkit.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-rtp-sap.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-rtp-session.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-rtp-sink.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-rtp-source.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-rt.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-session-manager.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-spa-device-factory.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-spa-device.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-spa-node-factory.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-spa-node.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-vban-send.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-vban-recv.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-zeroconf-discover.so
%{_libdir}/%{name}-%{apivers}/jack/libjack.so*
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-jack-tunnel.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-jackdbus-detect.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-protocol-pulse.so
%{_libdir}/%{name}-%{apivers}/lib%{name}-module-x11-bell.so
%{_libdir}/%{name}-%{apivers}/v4l2/libpw-v4l2.so
%{_libdir}/lib%{name}-%{apivers}.so.0
%{_libdir}/%{name}-%{apivers}/jack/libjacknet.so.0*
%{_libdir}/%{name}-%{apivers}/jack/libjackserver.so.0*
%{_libdir}/spa-0.2/audioconvert/libspa-audioconvert.so
%{_libdir}/spa-0.2/audiomixer/libspa-audiomixer.so
%{_libdir}/spa-0.2/audiotestsrc/libspa-audiotestsrc.so
%{_libdir}/spa-0.2/avb/libspa-avb.so
%{_libdir}/spa-0.2/control/libspa-control.so
%{_libdir}/spa-0.2/jack/libspa-jack.so
%{_libdir}/spa-0.2/support/libspa-*.so
%{_libdir}/spa-0.2/aec/libspa-aec-null.so
%{_libdir}/spa-0.2/alsa/libspa-alsa.so
%{_libdir}/spa-0.2/v4l2/libspa-v4l2.so
%{_libdir}/spa-0.2/videoconvert/libspa-videoconvert.so
%{_libdir}/spa-0.2/videotestsrc/libspa-videotestsrc.so
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-mic.conf.common
%{_datadir}/alsa-card-profile/mixer/paths/analog-input.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-input.conf.common
%{_datadir}/alsa-card-profile/mixer/paths/analog-input-*.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output-*.conf
%{_datadir}/alsa-card-profile/mixer/paths/analog-output.conf.common
%{_datadir}/alsa-card-profile/mixer/paths/audigy-analog-output*.conf
%{_datadir}/alsa-card-profile/mixer/paths/hdmi-output-*.conf
%{_datadir}/alsa-card-profile/mixer/paths/iec958-stereo-*.conf
%{_datadir}/alsa-card-profile/mixer/paths/usb-gaming-headset-*.conf
%{_datadir}/alsa-card-profile/mixer/paths/virtual-surround-7.1.conf
%{_datadir}/alsa-card-profile/mixer/paths/steelseries-arctis-output-*.conf
%{_datadir}/alsa-card-profile/mixer/profile-sets/*.conf
%{_datadir}/alsa/alsa.conf.d/50-%{name}.conf
%{_datadir}/alsa/alsa.conf.d/99-%{name}-default.conf
%{_datadir}/%{name}/client-rt.conf
%{_datadir}/%{name}/client.conf.avail/20-upmix.conf
%{_datadir}/%{name}/client-rt.conf.avail/20-upmix.conf
 

#==============================================================================
%package		utils
Summary		:	 PipeWire media server utilities

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}
Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		utils
This package contains command line utilities for
the PipeWire media server

#-----------------------------------------------------------------------------
%files			utils
%defattr(-,root,root,-)
%{_bindir}/pw-cat
%{_bindir}/pw-cli
%{_bindir}/pw-config
%{_bindir}/pw-dot
%{_bindir}/pw-dsdplay
%{_bindir}/pw-dump
%{_bindir}/pw-encplay
%{_bindir}/pw-jack
%{_bindir}/pw-link
%{_bindir}/pw-loopback
%{_bindir}/pw-metadata
%{_bindir}/pw-mididump
%{_bindir}/pw-midiplay
%{_bindir}/pw-midirecord
%{_bindir}/pw-mon
%{_bindir}/pw-play
%{_bindir}/pw-profiler
%{_bindir}/pw-record
%{_bindir}/pw-reserve
%{_bindir}/pw-top
%{_bindir}/pw-v4l2

%{_bindir}/spa-acp-tool
%{_bindir}/spa-inspect
%{_bindir}/spa-json-dump
%{_bindir}/spa-monitor
%{_bindir}/spa-resample
%{_libdir}/udev/rules.d/90-pipewire-alsa.rules
%{_mandir}/man1/pw-cat.1.gz
%{_mandir}/man1/pw-cli.1.gz
%{_mandir}/man1/pw-config.1.gz
%{_mandir}/man1/pw-dot.1.gz
%{_mandir}/man1/pw-jack.1.gz
%{_mandir}/man1/pw-link.1.gz
%{_mandir}/man1/pw-metadata.1.gz
%{_mandir}/man1/pw-mididump.1.gz
%{_mandir}/man1/pw-mon.1.gz
%{_mandir}/man1/pw-profiler.1.gz
%{_mandir}/man1/pw-top.1.gz

#==============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	-D systemd=disabled				\
	-D man=enabled					\
	-D udevrulesdir=%{_libdir}/udev/rules.d		\
	-D lv2=disabled					\
	-D libffado=disabled				\
	-D session-managers=[]				\
	_bld

meson							\
	compile						\
		-C _bld					\
	

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson							\
	test						\
		--print-errorlogs			\
		-C _bld					\
	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson							\
	install						\
		--destdir=%{buildroot}			\
		-C _bld					\

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
